Bug 191061 - Patch to make repo-rss groups-aware (groups as in comps.xml)
Patch to make repo-rss groups-aware (groups as in comps.xml)
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
5
All Linux
low Severity low
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-08 12:31 EDT by Aurelien Bompard
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-14 05:48:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
patch to enable groups support (3.06 KB, patch)
2006-05-08 12:31 EDT, Aurelien Bompard
no flags Details | Diff

  None (edit)
Description Aurelien Bompard 2006-05-08 12:31:35 EDT
Here's a patch to make repo-rss create one feed per group found in comps.xml.
This feature is much desired by the SIGs (especially the Games SIG).

What I did is pretty simple:
- I've added an option to the OptionParser to enable groups support
- I've moved the RSS generation code from main() to a new makeFeed() function
- I've added some code to get the comps groups and create one RepoRSS object per
comps group. This code is heavily inspired by repoview.

It's a patch against repo-rss as in yum-utils-0.6-2
Comment 1 Aurelien Bompard 2006-05-08 12:31:35 EDT
Created attachment 128749 [details]
patch to enable groups support
Comment 2 Tim Lauridsen 2007-02-14 05:48:25 EST
Thanks,

Added patch to upstream CVS, will be available in next yum-utils release.

Note You need to log in before you can comment on or make changes to this bug.